//
//  PokktMoPubCustomInterstitial.h
//  AdMobWrapper
//
//  Created by Pokkt on 20/04/17.
//  Copyright © 2017 Pokkt. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <PokktSDK/PokktSDK.h>
#import <PokktSDK/PokktAdsDelegates.h>
#import "MoPub.h"

typedef enum AdStateTypes
{
    No_Ad,
    Interstitial_Ad,
    Video_Ad
} AdType;

@interface PokktMoPubCustomInterstitial : MPInterstitialCustomEvent<PokktInterstitialDelegate,PokktVideoAdsDelegate>
{
    NSString *screenName;
    NSString *appId;
    NSString *securityKey;
    AdType adType;
}

@end
